Bug 305271 - wrong partitioning layout is used....
Summary: wrong partitioning layout is used....
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: system-config-kickstart   
(Show other bugs)
Version: 5.0
Hardware: All Linux
low
low
Target Milestone: ---
: ---
Assignee: Chris Lumens
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-09-25 15:23 UTC by Thorsten Scherf
Modified: 2008-05-21 16:57 UTC (History)
1 user (show)

Fixed In Version: RHBA-2008-0343
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-21 16:57:23 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
fix iterating over partitions (2.42 KB, patch)
2007-10-05 15:05 UTC, Chris Lumens
no flags Details | Diff


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2008:0343 normal SHIPPED_LIVE system-config-kickstart bug fix update 2008-05-20 12:40:23 UTC

Description Thorsten Scherf 2007-09-25 15:23:18 UTC
Description of problem:
ks file won't be parsed correctely. it contains several partitions, after it
gets read, the ui only shows up a boot partition.

this is the error when called in foreground.

[tscherf@server1 ~]$ system-config-kickstart ks.cfg 
/usr/share/system-config-kickstart/partWindow.py:306: GtkWarning:
gtk_tree_store_append: assertion `VALID_ITER (parent, tree_store)' failed
  iter = self.part_store.append(self.auto_parent_iter)
/usr/share/system-config-kickstart/partWindow.py:307: GtkWarning:
gtk_tree_store_set_value: assertion `VALID_ITER (iter, tree_store)' failed
  self.part_store.set_value(iter, 0, "")
/usr/share/system-config-kickstart/partWindow.py:540: GtkWarning:
gtk_tree_store_set_value: assertion `VALID_ITER (iter, tree_store)' failed
  self.part_store.set_value(iter, 1, part_object.mountPoint)
/usr/share/system-config-kickstart/partWindow.py:541: GtkWarning:
gtk_tree_store_set_value: assertion `VALID_ITER (iter, tree_store)' failed
  self.part_store.set_value(iter, 2, part_object.fsType)
/usr/share/system-config-kickstart/partWindow.py:544: GtkWarning:
gtk_tree_store_set_value: assertion `VALID_ITER (iter, tree_store)' failed
  self.part_store.set_value(iter, 3, (_("Yes")))
/usr/share/system-config-kickstart/partWindow.py:548: GtkWarning:
gtk_tree_store_set_value: assertion `VALID_ITER (iter, tree_store)' failed
  self.part_store.set_value(iter, 4, part_object.size)
/usr/share/system-config-kickstart/partWindow.py:549: GtkWarning:
gtk_tree_store_set_value: assertion `VALID_ITER (iter, tree_store)' failed
  self.part_store.set_value(iter, 5, part_object)
[tscherf@server1 ~]$ 


Version-Release number of selected component (if applicable):
2.6.19.1-1.el5

How reproducible:
create a ks file, save it
run s-c-kickstart
open the saved ks file
go to the partitioning tab

Steps to Reproduce:
1.
2.
3.
  
Actual results:
I can only see a boot parition

Expected results:
all partitions defined in the ks file should show up....

Additional info:

Comment 1 Chris Lumens 2007-09-28 14:21:03 UTC
Please attach your input kickstart file to this bug report.

Comment 2 Thorsten Scherf 2007-10-02 12:15:41 UTC
I don't have one with me actually, but you can easily reproduce the problem:

Create a ks file with s-c-kickstart, save the file. restart s-c-kickstart and
open the recently saved file. go to the partition layout and see that all
partitions you created before are missing, except the /boot partition.
 

Comment 3 Chris Lumens 2007-10-05 15:05:38 UTC
Created attachment 217611 [details]
fix iterating over partitions

This patch from RHEL5 to HEAD isn't quite right, but it's close enough that I
can adapt it for use in fixing this.

Comment 4 RHEL Product and Program Management 2007-10-16 03:38:17 UTC
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.

Comment 14 errata-xmlrpc 2008-05-21 16:57:23 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2008-0343.html



Note You need to log in before you can comment on or make changes to this bug.